# Administration Reference

## backup delvolentry

Purpose

Deletes a volume entry from a volume set

Synopsis

    backup delvolentry -name <volume set name>  -entry <volume set index>
                       [-localauth]  [-cell <cell name>]  [-help]

    backup delvole  -n <volume set name>  -e <volume set index>
                    [-l]  [-c <cell name>]  [-h]

Description

The backup delvolentry command deletes the indicated volume entry from the volume set specified with the -name argument. Use the -entry argument to identify the volume entry by its index number. To display the index numbers, use the backup listvolsets command.

If there are any remaining volume entries with index numbers higher than the deleted entry, their indexes are automatically decremented to eliminate any gaps in the indexing sequence.

Cautions

Deleting volume entries from a temporary volume set is possible only within the interactive session in which the volume set was created.

Options

-name
  Names the volume set from which to delete a volume entry.

-entry
  Specifies the index number of the volume entry to delete. Use the backup listvolsets command to display the index numbers for a volume set's volume entries.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see the introductory backup reference page.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory backup reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command deletes the fourth volume entry from the volume set called sys:

       % backup delvolentry -name sys -entry 4

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

Related Information

backup

backup addvolentry

backup addvolset

backup delvolset

backup listvolsets

© IBM Corporation 2000. All Rights Reserved